#!/bin/sh


#JAVA_CMD=`which java 2>&1`
#if [ ! -x "$JAVA_CMD" ]; then
#	echo "*****No java found in your path******"
#	echo "Please add java 1.4.1 or higher to your classpath or"
#	echo "set JAVA_HOME variable to your java directory"
#fi

if [ ! -x "$JAVA_HOME/bin/java" ]; then
	echo "*****Plese set your JAVA_HOME variable"
	exit;
fi

version_output=`$JAVA_HOME/bin/java -version 2>&1`

java_version=`expr "$version_output" : '.*"\(.*\)".*'`

major=`expr "$java_version" : '\([0-9][0-9]*\)\..*'`
minor=`expr "$java_version" : '[0-9][0-9]*\.\([0-9][0-9]*\)\..*'`
micro=`expr "$java_version" : '[0-9][0-9]*\.[0-9][0-9]*\.\([0-9][0-9]*\).*'`


if [ "$major" -lt "1" ]; then
	echo "Wrong java version. requires 1.4.1 or greater"
	echo "Your version: $JAVA_HOME"
	echo "Requires 1.4.1 or higher"
	exit;
fi

if [ "$minor" -lt "4" ]; then
	echo "Wrong java version. requires 1.4.1 or higher"
	echo "Your version: $JAVA_HOME"
	echo "Requires 1.4.1 or higher"
	exit;
fi

if [ "$micro" -lt "1" ]; then
	echo "Wrong java version. requires 1.4.1 or higher"
	echo "Your version: $JAVA_HOME"
	echo "Requires 1.4.1 or higher"
	exit;
fi

$JAVA_HOME/bin/java -Xms32m -Xmx128m -jar photo.jar $1 $2 $3 $4
